Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065753 - PRD35 - [RFE] Maintenance operations on a VM would ask for an optional reason
Summary: PRD35 - [RFE] Maintenance operations on a VM would ask for an optional reason
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.2.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Ravi Nori
QA Contact: Jiri Belka
URL:
Whiteboard: infra
Depends On: 1108866
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-02-16 17:14 UTC by Josep 'Pep' Turro Mauri
Modified: 2016-06-20 09:27 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, users are asked to optionally specify a reason when performing maintenance operations on a virtual machine. The feature can be set in the cluster properties to make the function optional or not.
Clone Of:
Environment:
Last Closed: 2015-02-11 17:58:20 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 25633 master MERGED core, engine, webadmin: Shutdown/power off operations on a VM would ask for an optional reason Never
oVirt gerrit 27225 master MERGED webadmin: Merge VM Reason column with status column Never
oVirt gerrit 27299 master MERGED engine : Clear VM Poweroff/Shutdown reason when RunVmCommand succeeds Never

Description Josep 'Pep' Turro Mauri 2014-02-16 17:14:18 UTC
RHEV admin teams would benefit from a mechanism that asks for an optional reason when performing administrative actions on VMs:  when a VM is shutdown/powered off from the mananger there's an optional "reason" field where the administrator can write a free-form explanation for the maintenance, which would be bought to attention in the logs and when/if someone attempts to power on.

There's an equivalent request to do this for hosts in Bug 678977.

Both are in addition to the change already implemented in Bug 610501 - this request is about RHEV-M explicitly asking for a reason or displaying a message in response to an action request.

Comment 1 Eli Mesika 2014-02-17 11:22:18 UTC
Please mark if this is a requirement for a Genral/DC/Cluster or VM/Host level ?
I mean where this should be set ?
Once for all application objects 
In the DC for the whole DC
etc.....

Comment 2 Arthur Berezin 2014-03-05 09:29:06 UTC
Eli, this configuration should be in cluster level as clusters are usually used to divide hosts based on functionality and importance.

Comment 3 Josep 'Pep' Turro Mauri 2014-03-05 10:33:42 UTC
My understanding is that the customer behind these requests is interested in the individual objects.

This RFE was created as a spin-off of Bug 678977 specifically for VMs (see comment 9 in that BZ).

Comment 4 Gilad Chaplik 2014-04-10 12:07:16 UTC
(In reply to Arthur Berezin from comment #2)
> Eli, this configuration should be in cluster level as clusters are usually
> used to divide hosts based on functionality and importance.

Arthur, 

I think that the cluster isn't a place to store user configuration.
I suggest to have that popup all the time... with a ignore checkbox, that be persisted at browser level.

Are you okay with that?

Thanks, 
Gilad

Comment 5 Arthur Berezin 2014-04-22 10:58:05 UTC
This RFE is asked for keeping reason of production VMs shutdown in events, and to retrieve shutdown reason later on/by another team member. It's not a user configuration.

It is common to have production and non-production separation on cluster level (Production clusters, and non-production clusters for testing,qa, etc'), thus it should be configurable to require VM shutdown reason at cluster level, and each VM should be able to override the cluster setting.

On new/edit cluster window under general tab should be a checkbox with "require VM shutdown reason", when set every VM should ask for reason upon shutdown.

Comment 6 Gilad Chaplik 2014-04-22 11:32:56 UTC
- Is there any validation for the input? if no, user can simply leave it empty, so what is the point of enforcing/showing it, IMO that's annoying.
- Means that the additional column in VM dialog for reason should be removed, VM grid can show only non-reason-ed VMs (already asked that from Ravi).

Comment 7 Arthur Berezin 2014-04-22 18:03:46 UTC
(In reply to Gilad Chaplik from comment #6)
> - Is there any validation for the input? if no, user can simply leave it
> empty, so what is the point of enforcing/showing it, IMO that's annoying.
> - Means that the additional column in VM dialog for reason should be
> removed, VM grid can show only non-reason-ed VMs (already asked that from
> Ravi).

We can check that it's not blank, Some enterprise have this as an organizational policy to keep record of production servers maintenances.

Please elaborate on second bullet, not sure what you mean by that..

Comment 8 Gilad Chaplik 2014-04-25 10:07:29 UTC
(In reply to Arthur Berezin from comment #7)
> (In reply to Gilad Chaplik from comment #6)
> > - Is there any validation for the input? if no, user can simply leave it
> > empty, so what is the point of enforcing/showing it, IMO that's annoying.
> > - Means that the additional column in VM dialog for reason should be
> > removed, VM grid can show only non-reason-ed VMs (already asked that from
> > Ravi).
> 
> We can check that it's not blank, Some enterprise have this as an
> organizational policy to keep record of production servers maintenances.

= Validation on empty reason field? IMO can be risky and bug prone.

> 
> Please elaborate on second bullet, not sure what you mean by that..

unify Reason column with Comment column in VM grid.

Comment 9 Jiri Belka 2014-07-04 14:41:49 UTC
Is OK that only last reason is saved? I suppose it is as it is in vm_dynamic, right?

Comment 10 Jiri Belka 2014-07-04 14:43:01 UTC
ok. ovirt-3.5-pre

Comment 11 Ravi Nori 2014-07-07 14:28:03 UTC
Yes, only the last reason is saved in vm_dynamic

Comment 13 errata-xmlrpc 2015-02-11 17:58:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.